CVE-2017-7985
CVSS4.3
发布时间 :2017-04-25 14:59:00
修订时间 :2017-09-20 21:29:15
NMS    

[原文]In Joomla! 1.5.0 through 3.6.5 (fixed in 3.7.0), inadequate filtering of multibyte characters leads to XSS vulnerabilities in various components.


[CNNVD]CNNVD数据暂缺。


[机译]译文暂缺.

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-79 [在Web页面生成时对输入的转义处理不恰当(跨站脚本)]

- CPE (受影响的平台与产品)

cpe:/a:joomla:joomla%21:3.0.1Joomla! 3.0.1
cpe:/a:joomla:joomla%21:3.4.0
cpe:/a:joomla:joomla%21:3.4.0:rc1
cpe:/a:joomla:joomla%21:3.0.2Joomla! 3.0.2
cpe:/a:joomla:joomla%21:3.4.1:rc2
cpe:/a:joomla:joomla%21:3.4.2:rc1
cpe:/a:joomla:joomla%21:3.4.1:rc1
cpe:/a:joomla:joomla%21:3.4.4
cpe:/a:joomla:joomla%21:3.4.3
cpe:/a:joomla:joomla%21:3.4.2
cpe:/a:joomla:joomla%21:3.4.1
cpe:/a:joomla:joomla%21:3.0.0Joomla! 3.0.0
cpe:/a:joomla:joomla%21:2.5.15
cpe:/a:joomla:joomla%21:2.5.14
cpe:/a:joomla:joomla%21:2.5.17
cpe:/a:joomla:joomla%21:2.5.16
cpe:/a:joomla:joomla%21:2.5.19
cpe:/a:joomla:joomla%21:3.5.0:beta2
cpe:/a:joomla:joomla%21:2.5.18
cpe:/a:joomla:joomla%21:3.5.0:beta3
cpe:/a:joomla:joomla%21:3.6.5
cpe:/a:joomla:joomla%21:3.5.0:beta4
cpe:/a:joomla:joomla%21:3.6.4
cpe:/a:joomla:joomla%21:3.5.0:beta5
cpe:/a:joomla:joomla%21:3.6.3
cpe:/a:joomla:joomla%21:2.5.11
cpe:/a:joomla:joomla%21:2.5.10
cpe:/a:joomla:joomla%21:2.5.13
cpe:/a:joomla:joomla%21:2.5.12
cpe:/a:joomla:joomla%21:1.5.2Joomla! 1.5.2
cpe:/a:joomla:joomla%21:1.5.3Joomla! 1.5.3
cpe:/a:joomla:joomla%21:1.5.4Joomla! 1.5.4
cpe:/a:joomla:joomla%21:1.5.5Joomla! 1.5.5
cpe:/a:joomla:joomla%21:1.5.0Joomla! 1.5.0
cpe:/a:joomla:joomla%21:1.5.1Joomla! 1.5.1
cpe:/a:joomla:joomla%21:2.5.7Joomla! 2.5.7
cpe:/a:joomla:joomla%21:2.5.8Joomla! 2.5.8
cpe:/a:joomla:joomla%21:2.5.5Joomla! 2.5.5
cpe:/a:joomla:joomla%21:2.5.6Joomla! 2.5.6
cpe:/a:joomla:joomla%21:2.5.9Joomla! 2.5.9
cpe:/a:joomla:joomla%21:3.4.0:alpha
cpe:/a:joomla:joomla%21:1.7.4Joomla! 1.7.4
cpe:/a:joomla:joomla%21:1.7.5Joomla! 1.7.5
cpe:/a:joomla:joomla%21:3.1.0
cpe:/a:joomla:joomla%21:3.1.1
cpe:/a:joomla:joomla%21:3.1.2
cpe:/a:joomla:joomla%21:3.1.3
cpe:/a:joomla:joomla%21:3.1.4
cpe:/a:joomla:joomla%21:3.1.5
cpe:/a:joomla:joomla%21:3.1.6
cpe:/a:joomla:joomla%21:3.5.1
cpe:/a:joomla:joomla%21:3.5.0
cpe:/a:joomla:joomla%21:3.6.0:beta1
cpe:/a:joomla:joomla%21:3.6.0:beta2
cpe:/a:joomla:joomla%21:1.5.15:rcJoomla! 1.5.15:rc
cpe:/a:joomla:joomla%21:1.6.5Joomla! 1.6.5
cpe:/a:joomla:joomla%21:1.6.6Joomla! 1.6.6
cpe:/a:joomla:joomla%21:3.2.0
cpe:/a:joomla:joomla%21:3.6.0:rc2
cpe:/a:joomla:joomla%21:3.2.1
cpe:/a:joomla:joomla%21:3.2.2
cpe:/a:joomla:joomla%21:3.2.3
cpe:/a:joomla:joomla%21:3.6.1:rc2
cpe:/a:joomla:joomla%21:3.6.2
cpe:/a:joomla:joomla%21:3.2.4
cpe:/a:joomla:joomla%21:3.6.1
cpe:/a:joomla:joomla%21:3.6.1:rc1
cpe:/a:joomla:joomla%21:3.4.8:rc
cpe:/a:joomla:joomla%21:3.6.0
cpe:/a:joomla:joomla%21:3.6.0:rc
cpe:/a:joomla:joomla%21:3.4.8
cpe:/a:joomla:joomla%21:3.4.7
cpe:/a:joomla:joomla%21:3.4.6
cpe:/a:joomla:joomla%21:3.4.5
cpe:/a:joomla:joomla%21:1.7.0Joomla! 1.7.0
cpe:/a:joomla:joomla%21:1.7.1Joomla! 1.7.1
cpe:/a:joomla:joomla%21:1.7.2Joomla! 1.7.2
cpe:/a:joomla:joomla%21:1.7.3Joomla! 1.7.3
cpe:/a:joomla:joomla%21:2.5.0Joomla! 2.5.0
cpe:/a:joomla:joomla%21:2.5.3Joomla! 2.5.3
cpe:/a:joomla:joomla%21:2.5.4Joomla! 2.5.4
cpe:/a:joomla:joomla%21:2.5.1Joomla! 2.5.1
cpe:/a:joomla:joomla%21:2.5.2Joomla! 2.5.2
cpe:/a:joomla:joomla%21:1.5.6Joomla! 1.5.6
cpe:/a:joomla:joomla%21:3.6.0:alpha
cpe:/a:joomla:joomla%21:1.5.7Joomla! 1.5.7
cpe:/a:joomla:joomla%21:1.5.8Joomla! 1.5.8
cpe:/a:joomla:joomla%21:1.5.9Joomla! 1.5.9
cpe:/a:joomla:joomla%21:3.5.0:rc4
cpe:/a:joomla:joomla%21:3.5.0:rc3
cpe:/a:joomla:joomla%21:3.3.0
cpe:/a:joomla:joomla%21:3.5.0:rc2
cpe:/a:joomla:joomla%21:3.3.1
cpe:/a:joomla:joomla%21:3.3.2
cpe:/a:joomla:joomla%21:3.3.3
cpe:/a:joomla:joomla%21:3.3.4
cpe:/a:joomla:joomla%21:3.3.5
cpe:/a:joomla:joomla%21:1.5.21Joomla! 1.5.21
cpe:/a:joomla:joomla%21:3.5.1:rc
cpe:/a:joomla:joomla%21:1.5.20Joomla! 1.5.20
cpe:/a:joomla:joomla%21:1.5.23Joomla! 1.5.23
cpe:/a:joomla:joomla%21:1.5.22Joomla! 1.5.22
cpe:/a:joomla:joomla%21:3.5.0:rc
cpe:/a:joomla:joomla%21:3.4.0:beta3
cpe:/a:joomla:joomla%21:3.4.0:beta1
cpe:/a:joomla:joomla%21:3.4.0:beta2
cpe:/a:joomla:joomla%21:1.5.25Joomla! 1.5.25
cpe:/a:joomla:joomla%21:1.5.24Joomla! 1.5.24
cpe:/a:joomla:joomla%21:1.5.26Joomla! 1.5.26
cpe:/a:joomla:joomla%21:1.6.1Joomla! 1.6.1
cpe:/a:joomla:joomla%21:1.6.2
cpe:/a:joomla:joomla%21:1.6.3Joomla! 1.6.3
cpe:/a:joomla:joomla%21:1.6.4Joomla! 1.6.4
cpe:/a:joomla:joomla%21:1.6.0Joomla! 1.6.0
cpe:/a:joomla:joomla%21:2.5.26
cpe:/a:joomla:joomla%21:1.5.10Joomla! 1.5.10
cpe:/a:joomla:joomla%21:2.5.25
cpe:/a:joomla:joomla%21:2.5.28
cpe:/a:joomla:joomla%21:1.5.12Joomla! 1.5.12
cpe:/a:joomla:joomla%21:2.5.27
cpe:/a:joomla:joomla%21:1.5.11Joomla! 1.5.11
cpe:/a:joomla:joomla%21:3.6.3:rc3
cpe:/a:joomla:joomla%21:3.6.3:rc2
cpe:/a:joomla:joomla%21:3.6.3:rc1
cpe:/a:joomla:joomla%21:1.5.18Joomla! 1.5.18
cpe:/a:joomla:joomla%21:3.5.0:beta
cpe:/a:joomla:joomla%21:1.5.17Joomla! 1.5.17
cpe:/a:joomla:joomla%21:2.5.20
cpe:/a:joomla:joomla%21:1.5.19Joomla! 1.5.19
cpe:/a:joomla:joomla%21:2.5.22
cpe:/a:joomla:joomla%21:1.5.14Joomla! 1.5.14
cpe:/a:joomla:joomla%21:2.5.21
cpe:/a:joomla:joomla%21:1.5.13Joomla! 1.5.13
cpe:/a:joomla:joomla%21:2.5.24
cpe:/a:joomla:joomla%21:1.5.16Joomla! 1.5.16
cpe:/a:joomla:joomla%21:2.5.23
cpe:/a:joomla:joomla%21:1.5.15Joomla! 1.5.15

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7985
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-7985
(官方数据源) NVD

- 其它链接及资源

http://www.securityfocus.com/bid/98020
(VENDOR_ADVISORY)  BID  98020
http://www.securitytracker.com/id/1038817
(UNKNOWN)  SECTRACK  1038817
https://developer.joomla.org/security-centre/685-20170403-core-xss-vulnerability
(VENDOR_ADVISORY)  CONFIRM  https://developer.joomla.org/security-centre/685-20170403-core-xss-vulnerability
https://fortiguard.com/zeroday/FG-VD-17-107
(UNKNOWN)  MISC  https://fortiguard.com/zeroday/FG-VD-17-107
https://fortiguard.com/zeroday/FG-VD-17-108
(UNKNOWN)  MISC  https://fortiguard.com/zeroday/FG-VD-17-108
https://fortiguard.com/zeroday/FG-VD-17-109
(UNKNOWN)  MISC  https://fortiguard.com/zeroday/FG-VD-17-109

- 漏洞信息

Joomla! CVE-2017-7985 Cross Site Scripting Vulnerability
Input Validation Error 98020
Yes No
2017-04-25 12:00:00 2017-04-26 02:09:00
Fortinet's FortiGuard Labs

- 受影响的程序版本

Joomla Joomla! 3.6.5
Joomla Joomla! 3.4.7
Joomla Joomla! 3.4.6
Joomla Joomla! 3.4.4
Joomla Joomla! 3.4.3
Joomla Joomla! 3.4.2
Joomla Joomla! 3.4.1
Joomla Joomla! 3.4
Joomla Joomla! 3.3.6
Joomla Joomla! 3.3.5
Joomla Joomla! 3.3.4
Joomla Joomla! 3.3.3
Joomla Joomla! 3.3.2
Joomla Joomla! 3.3.1
Joomla Joomla! 3.3
Joomla Joomla! 3.2.6
Joomla Joomla! 3.2.5
Joomla Joomla! 3.2.4
Joomla Joomla! 3.2.3
Joomla Joomla! 3.2.2
Joomla Joomla! 3.2.1
Joomla Joomla! 3.1.6
Joomla Joomla! 3.1.5
Joomla Joomla! 3.1.4
Joomla Joomla! 3.1.1
Joomla Joomla! 3.1
Joomla Joomla! 3.0.4
Joomla Joomla! 3.0.3
Joomla Joomla! 3.0.1
Joomla Joomla! 3.0
Joomla Joomla! 2.5.26
Joomla Joomla! 2.5.25
Joomla Joomla! 2.5.24
Joomla Joomla! 2.5.19
Joomla Joomla! 2.5.18
Joomla Joomla! 2.5.17
Joomla Joomla! 2.5.16
Joomla Joomla! 2.5.15
Joomla Joomla! 2.5.14
Joomla Joomla! 2.5.13
Joomla Joomla! 2.5.11
Joomla Joomla! 2.5.10
Joomla Joomla! 2.5.9
Joomla Joomla! 2.5.8
Joomla Joomla! 2.5.7
Joomla Joomla! 2.5.6
Joomla Joomla! 2.5.5
Joomla Joomla! 2.5.4
Joomla Joomla! 2.5.3
Joomla Joomla! 2.5.2
Joomla Joomla! 2.5.1
Joomla Joomla! 2.5
Joomla Joomla! 1.7.5
Joomla Joomla! 1.7.4
Joomla Joomla! 1.7.3
Joomla Joomla! 1.7.2
Joomla Joomla! 1.7.1
Joomla Joomla! 1.7
Joomla Joomla! 1.6.6
Joomla Joomla! 1.6.4
Joomla Joomla! 1.6.3
Joomla Joomla! 1.6.2
Joomla Joomla! 1.6.1
Joomla Joomla! 1.6
Joomla Joomla! 1.5.26
Joomla Joomla! 1.5.22
Joomla Joomla! 1.5.21
Joomla Joomla! 1.5.20
Joomla Joomla! 1.5.19
Joomla Joomla! 1.5.18
Joomla Joomla! 1.5.17
Joomla Joomla! 1.5.16
Joomla Joomla! 1.5.15
Joomla Joomla! 1.5.14
Joomla Joomla! 1.5.13
Joomla Joomla! 1.5.12
Joomla Joomla! 1.5.11
Joomla Joomla! 1.5.10
Joomla Joomla! 1.5.9
Joomla Joomla! 1.5.8
Joomla Joomla! 1.5.7
Joomla Joomla! 1.5.6
Joomla Joomla! 1.5.5
Joomla Joomla! 1.5.4
Joomla Joomla! 1.5.2
Joomla Joomla! 3.6.4
Joomla Joomla! 3.6.3
Joomla Joomla! 3.6.1
Joomla Joomla! 3.6.0
Joomla Joomla! 3.4.5
Joomla Joomla! 3.2
Joomla Joomla! 2.5
Joomla Joomla! 1.7
Joomla Joomla! 1.6.5
Joomla Joomla! 1.5.3
Joomla Joomla! 1.5.23
Joomla Joomla! 1.5.1
Joomla Joomla! 1.5.0
,Joomla Joomla! 3.7

- 不受影响的程序版本

Joomla Joomla! 3.7

- 漏洞讨论

Joomla! is prone to a cross-site scripting vulnerability because it fails to sanitize user-supplied input.

An attacker may leverage this issue to execute arbitrary script code in the browser of an unsuspecting user in the context of the affected site. This may allow the attacker to steal cookie-based authentication credentials and launch other attacks.

Joomla! 1.5.0 through 3.6.5 are vulnerable.

- 漏洞利用

An attacker can exploit the issue by enticing an unsuspecting user to visit a specially crafted URL.

- 解决方案

Updates are available. Please see the references or vendor advisory for more information.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站